Bug 195668 - No more syscallN, update documentation
No more syscallN, update documentation
Product: Fedora
Classification: Fedora
Component: man-pages (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: David Woodhouse
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2006-06-16 10:08 EDT by Nurdin Premji
Modified: 2007-11-30 17:11 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-07-24 05:03:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Nurdin Premji 2006-06-16 10:08:29 EDT
Description of problem:

In previous linux releases, the macro syscall0, syscall1, ... were all available
(defined in linux/unistd.h from memory) for use when declaring non-standard
system call interfaces such as tkill et.l.

In FC-6 that is no longer available, instead syscall(2) should be used.
The documentation should be updated to reflect this.
Comment 1 Jakub Jelinek 2006-06-16 10:13:22 EDT
This has nothing to do with glibc, the change was done in glibc-kernheaders
and documentation is in man-pages.
Comment 2 David Woodhouse 2006-06-16 10:26:53 EDT
The syscallX macros in the kernel's private headers were never suitable for
userspace. For a while, we used to _add_ something in linux/unistd.h which just
used glibc's syscall(2). But that was a bad plan -- userspace should not be
using kernel headers, and adding stuff to kernel-private headers _solely_ for
userspace isn't something we're likely to get away with upstream.

Either we could add syscallX macros to glibc's headers, or we should fix the
man-pages to document the use of syscall(2) instead. Or both. 
Comment 3 Stepan Kasal 2007-06-20 13:42:52 EDT
As noted in bug #235206, man-pages-2.55 fixes this.
(There is one possible omission, intro.2, though.)
Comment 4 Stepan Kasal 2007-07-24 05:03:15 EDT
As noted in comment #8 for bug #235206, version 2.61 fixed the problems in
intro(2), and even updated the obsolete setup(2).
To conclude, current build contains a complete fix.

Note You need to log in before you can comment on or make changes to this bug.